<?php

/* ========================================================================
 *
 * @license This source file is subject to version 3.01 of the PHP license,
 *              that is available at http://www.php.net/license/3_01.txt
 *              If you did not receive a copy of the PHP license and are unable 
 *              to obtain it through the world-wide-web, please send a note to 
 *              license@php.net so we can mail you a copy immediately.  
 *
 * @category   Application of MyNETS
 * @project    OpenPNE UsagiProject 2006-2007
 * @package    MyNETS
 * @author     UsagiProject <info@usagi.mynets.jp>
 * @copyright  2006-2007 UsagiProject <author member ad http://usagi.mynets.jp/member.html>
 * @version    MyNETS,v 1.0.0
 * @since      File available since Release 1.0.0 Nighty
 * @chengelog  [2007/02/17] Ver1.1.0Nighty package
 * ======================================================================== 
 */

/**
 * OpenPNE
 * @copyright 2005-2006 OpenPNE Project
 * @link      http://www.tejimaya.com/openpne.shtml
 *
 */

class ktai_page_o_login extends OpenPNE_Action
{
    
    function isSecure()
    {
        return false;
    }

    function execute($requests)
    {
        // --- リクエスト変数
        $msg_id = $requests['msg'];
        $kad = $requests['kad'];
        // ----------
        $carrier = $GLOBALS['__Framework']['ktai_carrier'];
        $this->set('carrier',$carrier);
        $adminmail = MAIL_SERVER_DOMAIN;
        $this->set('adminmail',$adminmail);
        //メッセージ
        $this->set('msg', k_p_common_msg4msg_id($msg_id));

        $this->set('ktai_address', t_decrypt($kad));
        $this->set('IS_CLOSED_SNS', IS_CLOSED_SNS);
        $mailaddress = urlencode(MAIL_ADDRESS_PREFIX) . 'get@' . MAIL_SERVER_DOMAIN;
        
        $this->set("mailaddress", $mailaddress);
        
        return 'success';
    }
}
?>
